> ## Documentation Index
> Fetch the complete documentation index at: https://www.anything.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment status

> Returns the current state of a deployment, including build logs if available.



## OpenAPI

````yaml https://api.anything.com/v0/api/openapi.json get /v0/api/deployments/{deploymentId}
openapi: 3.1.0
info:
  title: Anything API
  version: 0.1.0
  description: >-
    The Anything API is the fastest way for agents to build and launch mobile
    and web apps.
servers:
  - url: /
security: []
paths:
  /v0/api/deployments/{deploymentId}:
    get:
      tags:
        - Deployments
      summary: Get deployment status
      description: >-
        Returns the current state of a deployment, including build logs if
        available.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: deploymentId
          in: path
      responses:
        '200':
          description: Deployment detail
          content:
            application/json:
              schema:
                type: object
                properties:
                  deployment:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      projectGroupId:
                        type: string
                        format: uuid
                      status:
                        type: string
                        enum:
                          - PENDING
                          - BUILDING
                          - DEPLOYING
                          - SUCCESS
                          - FAILED
                      url:
                        type:
                          - string
                          - 'null'
                        description: >-
                          Public URL where the app is served. Null until the
                          deployment succeeds.
                      createdAt:
                        type: string
                        format: date-time
                      completedAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      buildLogs:
                        type:
                          - string
                          - 'null'
                      failureReason:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - projectGroupId
                      - status
                      - url
                      - createdAt
                      - completedAt
                      - buildLogs
                      - failureReason
                required:
                  - deployment
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '404':
          description: Deployment not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Anything API key as the Basic auth username and leave the
        password empty. Example credentials: anything_xxx:

````